# eth\_getFilterChanges

Polling method for a filter, which returns an array of logs which occurred since last poll.

## **Parameters**

QUANTITY - the filter id.

## Returns

See [eth\_getLogs](/node-rpc/ethereum-api-endpoints/eth_getlogs.md).

## Example

*NOTE:* In this example we are using public Ethereum endpoint. Ideally, for your own projects, you should use your own endpoint, which you can generate for free by connecting to your wallet [here](https://www.noderpc.xyz/).

{% tabs %}
{% tab title="ethers" %}

### Query

*NOTE:* `ethers` used below is a well-known web3 library, check it out [here](https://github.com/ethers-io/ethers.js/).

```javascript
import { ethers } from 'ethers';

const provider =
  new ethers
    .providers
    .JsonRpcProvider("https://www.noderpc.xyz/rpc-mainnet/public")

const fetchLogs = async ()=> {
  const logs = await provider.send("eth_getFilterChanges", ["YOUR_FILTER_ID"]);
  console.log(logs);}
}
fetchLogs();

```

### Result

```json
[]
```

{% endtab %}
{% endtabs %}

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.noderpc.xyz/node-rpc/ethereum-api-endpoints/eth_getfilterchanges.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
